de.esprit.appsuite.task

## Class AbstractTaskType

- java.lang.Object
- - de.esprit.appsuite.task.AbstractTaskType

- All Implemented Interfaces:
    TaskType, java.io.Serializable
  Direct Known Subclasses:
    LocalTaskType, RemoteTaskType

      public abstract class AbstractTaskType
      extends java.lang.Object
      implements TaskType

  This interface defines the type of an `AsyncTask`
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractTaskType(java.lang.String typeName, IconKey iconKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getName()`
    `javax.swing.Icon` | `getRenderIcon()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.task.TaskType

      `isLocalTask, isOsProcessTask, isRemoteTask, isWorkflowTask`

- - ### Constructor Detail

    - #### AbstractTaskType

          protected AbstractTaskType(java.lang.String typeName,
                          IconKey iconKey)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `TaskType`

    - #### getRenderIcon

          public javax.swing.Icon getRenderIcon()

      Specified by:
        `getRenderIcon` in interface `TaskType`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.